<%@ Page Language="C#" Inherits="System.Web.Mvc.ViewPage<dynamic>" %>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
    <title>登录</title>
    <link href="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Content/Site.css" rel="stylesheet"
        type="text/css" />
    <link href="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/messagetipthem1/css/style.css"
        rel="stylesheet" type="text/css" />
    <script language="javascript" type="text/javascript" src="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/jquery-1.4.1.js"></script>
    <script language="javascript" type="text/javascript" src="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/Common.js"></script>
    <script language="javascript" type="text/javascript" src="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/MessageTip.js"></script>
    <script src="<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Scripts/jquery-1.4.1-vsdoc.js"
        type="text/javascript"></script>
    <script type="text/javascript">
        $(function () {
            iframeAutoFit();
        });
        function openUrl(url) {
            if (url == "") {
                alert("链接未设置");
            } else {
                window.open(url, "");
            }
        }
        function showMsg(msg) {
            //MsgTip.show({ msg: msg, ico: "warning"});
            alert(msg);
        }
        function login() {
            var name = $("#LoginName").val();
            if ($.trim(name) == "") {
                showMsg("请输入用户名！");
                $("#LoginName").focus();
                return;
            }
            var password = $("#LoginPassword").val();
            if ($.trim(password) == "") {
                showMsg("请输入密码！");
                $("#LoginPassword").focus();
                return;
            }
            $("#f1").submit();
        }
        function clearall() {
            $("#LoginName").val("");
            $("#LoginPassword").val("");
        }
        $(function () {
            $("#LoginName").keypress(function (event) {
                if (event.keyCode == 13) {
                    login();
                }
            });
            $("#LoginPassword").keypress(function () {
                if (event.keyCode == 13) {
                    login();
                }
            });

            var message = $("#Message").val();
            if (message != "") {
                alert(message);
                $("#Message").val("");
            }
        });
        function regist() {
            window.location = "<%=FamousFurnitureExpo.Models.Helper.VRoot %>/Regist/Regist/" + $("#ExhID").val();
        }
    </script>
</head>
<body>
    <form id="f1" action="" method="post">
    <table width="100%" border="0" align="center" cellpadding="0" cellspacing="0">
        <tr>
            <td valign="middle" align="center" style="height:400px;">
                <table width="514" border="0" cellspacing="0" cellpadding="0">
                    <tr>
                        <td align="right">
                            <strong>展商登录：</strong>
                        </td>
                        <td></td>
                    </tr>
                    <tr><td colspan="2">&nbsp;</td></tr>
                    <tr>
                        <td width="85" height="40" align="right" class="graylink12">
                            登录名：
                        </td>
                        <td align="left" width="252">
                            <input id="LoginName" name="LoginName" type="text" title="请输入您的登录名！" value="<%=ViewData["UserLoginName"] %>"
                                class="text" style="width: 225px;" />
                        </td>
                    </tr>
                    <tr>
                        <td height="40" align="right">
                            密码：
                        </td>
                        <td align="left">
                            <input id="LoginPassword" name="LoginPassword" title="请输入您的密码！" type="password"
                                class="text" style="width: 225px;" />
                        </td>
                    </tr>
                    <tr>
                        <td></td>
                        <td align="left">
                            <input type="checkbox" id="ckbSave" name="ckbSave" <%if(ViewData["SaveLoginName"]!=null){ %>checked="checked"
                                <%} %> />
                            <label for="ckbSave">
                                记住用户名
                            </label>
                        </td>
                    </tr>
                    <tr>
                        <td height="55">
                            &nbsp;
                        </td>
                        <td align="left">
                            <table>
                                <tr>
                                    <td>
                                        <div class="button" onclick="login()">登 录</div>
                                    </td>
                                    <%--<td>
                                        <div class="button" onclick="regist()">在线报名</div>
                                    </td>--%>
                                </tr>
                            </table>                            
                        </td>
                    </tr>
                </table>
                <input type="hidden" id="ExhID" name="ExhID" value="<%=ViewData["ExhID"] %>" />
                <input type="hidden" id="Message" name="Message" value="<%=ViewData["Message"] %>" />
            </td>
        </tr>
    </table>
    </form>
</body>
</html>
